Oracle Linux 5 / 6 : Unbreakable Enterprise kernel (ELSA-2015-3015)

Medium Nessus Plugin ID 81873

Synopsis

The remote Oracle Linux host is missing one or more security updates.

Description

Description of changes:

kernel-uek [2.6.32-400.37.2.el6uek]
- netfilter: conntrack: disable generic tracking for known protocols (Florian Westphal) [Orabug: 20679631] {CVE-2014-8160}
- mac80211: fix fragmentation code, particularly for encryption (Johannes Berg) [Orabug: 20673314] {CVE-2014-8709}
- tracing/syscalls: Ignore numbers outside NR_syscalls' range (Rabin Vincent) [Orabug: 20673165] {CVE-2014-7825} {CVE-2014-7826}
- tracing/syscalls: Fix perf syscall tracing when syscall_nr == -1 (Will Deacon) [Orabug: 20673165] {CVE-2014-7825} {CVE-2014-7826}

Solution

Update the affected unbreakable enterprise kernel packages.

See Also

https://oss.oracle.com/pipermail/el-errata/2015-March/004896.html

https://oss.oracle.com/pipermail/el-errata/2015-March/004897.html

Plugin Details

Severity: Medium

ID: 81873

File Name: oraclelinux_ELSA-2015-3015.nasl

Version: 1.9

Type: local

Agent: unix

Published: 2015/03/17

Updated: 2019/04/01

Dependencies: 12634, 122878

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Temporal Score: 4.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:kernel-uek, p-cpe:/a:oracle:linux:kernel-uek-debug, p-cpe:/a:oracle:linux:kernel-uek-debug-devel, p-cpe:/a:oracle:linux:kernel-uek-devel, p-cpe:/a:oracle:linux:kernel-uek-doc, p-cpe:/a:oracle:linux:kernel-uek-firmware, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.37.2.el5uek, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.37.2.el5uekdebug, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.37.2.el6uek, p-cpe:/a:oracle:linux:mlnx_en-2.6.32-400.37.2.el6uekdebug, p-cpe:/a:oracle:linux:ofa-2.6.32-400.37.2.el5uek, p-cpe:/a:oracle:linux:ofa-2.6.32-400.37.2.el5uekdebug, p-cpe:/a:oracle:linux:ofa-2.6.32-400.37.2.el6uek, p-cpe:/a:oracle:linux:ofa-2.6.32-400.37.2.el6uekdebug, cpe:/o:oracle:linux:5, cpe:/o:oracle:linux:6

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2015/03/13

Vulnerability Publication Date: 2014/11/10

Reference Information

CVE: CVE-2014-7825, CVE-2014-7826, CVE-2014-8160, CVE-2014-8709

BID: 70965, 70971, 70972, 72061